
package Text::Wigwam::Engine::Common::Token;

    use strict;
    use warnings;
    our $VERSION = '0.01';

sub new {
    my ($class, $type, @params) = @_;
    no strict 'subs';
    $class = ref($class) || $class;
    my $subclass = join( "::" => $class, ucfirst lc $type );
    return $subclass->new(@params);
}

1;
